import { a as HeadClient } from './types-b4318c02.js';
import 'hookable';
import '@unhead/schema';

interface RenderDomHeadOptions {
    /**
     * Document to use for rendering. Allows stubbing for testing.
     */
    document?: Document;
}
/**
 * Render the head tags to the DOM.
 */
declare function renderDOMHead<T extends HeadClient<any>>(head: T, options?: RenderDomHeadOptions): Promise<void>;
/**
 * Global instance of the dom update promise. Used for debounding head updates.
 */
declare let domUpdatePromise: Promise<void> | null;
/**
 * Queue a debounced update of the DOM head.
 */
declare function debouncedRenderDOMHead<T extends HeadClient<any>>(delayedFn: (fn: () => void) => void, head: T, options?: RenderDomHeadOptions): Promise<void>;

export { RenderDomHeadOptions, debouncedRenderDOMHead, domUpdatePromise, renderDOMHead };
