import * as _unhead_schema from '@unhead/schema';
import { Head, Meta, Link, Script, Style, Base, HtmlAttributes, BodyAttributes, Noscript } from '@unhead/schema';
import { H as HeadPlugin, C as CreateHeadOptions, a as HeadClient, b as HeadEntryOptions } from './types-b4318c02.js';
export { A as ActiveHeadEntry, C as CreateHeadOptions, D as DomRenderTagContext, E as EntryResolveCtx, a as HeadClient, c as HeadEntry, b as HeadEntryOptions, f as HeadHooks, H as HeadPlugin, e as HookResult, R as RuntimeMode, S as SideEffectsRecord, d as defineHeadPlugin } from './types-b4318c02.js';
import 'hookable';

declare const DedupesTagsPlugin: HeadPlugin<_unhead_schema.Head<_unhead_schema.SchemaAugmentations>>;

declare const SortTagsPlugin: HeadPlugin<_unhead_schema.Head<_unhead_schema.SchemaAugmentations>>;

declare const TitleTemplatePlugin: HeadPlugin<_unhead_schema.Head<_unhead_schema.SchemaAugmentations>>;

declare const HydratesStatePlugin: HeadPlugin<_unhead_schema.Head<_unhead_schema.SchemaAugmentations>>;

declare function createHead<T extends {} = Head>(options?: CreateHeadOptions<T>): HeadClient<T>;

declare function useHead<T>(input: T, options?: HeadEntryOptions): void;
declare const useTitle: (title: string) => void;
declare const useMeta: (meta: Meta) => void;
declare const useLink: (link: Link) => void;
declare const useScript: (script: Script) => void;
declare const useStyle: (style: Style) => void;
declare const useBase: (base: Base) => void;
declare const useHtmlAttrs: (attrs: HtmlAttributes) => void;
declare const useBodyAttrs: (attrs: BodyAttributes) => void;
declare const useTitleTemplate: (titleTemplate: string) => void;
declare const useNoscript: (noscript: Noscript) => void;

declare let activeHead: HeadClient<any> | undefined;
declare const setActiveHead: <T>(head: HeadClient<T> | undefined) => HeadClient<T> | undefined;
declare const getActiveHead: <T>() => HeadClient<T>;

declare type Arrayable<T> = T | Array<T>;
declare function asArray<T>(value: Arrayable<T>): T[];
declare const TagConfigKeys: string[];
declare function hashCode(s: string): string;

export { Arrayable, DedupesTagsPlugin, HydratesStatePlugin, SortTagsPlugin, TagConfigKeys, TitleTemplatePlugin, activeHead, asArray, createHead, getActiveHead, hashCode, setActiveHead, useBase, useBodyAttrs, useHead, useHtmlAttrs, useLink, useMeta, useNoscript, useScript, useStyle, useTitle, useTitleTemplate };
