import { ssrRenderTags } from 'zhead';

async function renderSSRHead(ctx) {
  const tags = await ctx.resolveTags();
  const beforeRenderCtx = { tags };
  await ctx.hooks.callHook("ssr:beforeRender", beforeRenderCtx);
  const html = ssrRenderTags(beforeRenderCtx.tags);
  const renderCXx = { tags, html };
  await ctx.hooks.callHook("ssr:render", renderCXx);
  return renderCXx.html;
}

export { renderSSRHead };
